package com.bursie.harvester.gwt.client;

import com.google.gwt.user.client.rpc.IsSerializable;

public class Word implements IsSerializable, Comparable {
    String keyword;
    int relevance;

    public Word() {
    }

    public Word(String keyword, int relevance) {
        this.keyword = keyword;
        this.relevance = relevance;
    }

    public String getKeyword() {
        return keyword;
    }

    public int getRelevance() {
        return relevance;
    }

    public int compareTo(Object o) {
        Word otherObject = (Word) o;
        return otherObject.getRelevance() - this.getRelevance();
    }
}
