package com.bursie.harvester.gwt.client;

import com.google.gwt.user.client.rpc.ServiceDefTarget;
import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.core.client.GWT;

import java.util.List;

public interface KeywordService extends RemoteService {
     List<Word> getSuggestedKeywords(String seedKeyword);

    /**
     * Utility/Convenience class.
     * Use KeywordService.App.getInstance() to access static instance of KeywordServiceAsync
     */
    public static class App {
        private static KeywordServiceAsync ourInstance = null;

        public static synchronized KeywordServiceAsync getInstance() {
            if (ourInstance == null) {
                ourInstance = (KeywordServiceAsync) GWT.create(KeywordService.class);
                ((ServiceDefTarget) ourInstance).setServiceEntryPoint(GWT.getModuleBaseURL() + "com.bursie.harvester.gwt.Harvester/KeywordService");
            }
            return ourInstance;
        }
    }
}
